<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$fecha=date('Y-m-d');
$descuento=0;
$neto=0;
$sumador_total=0;
$iva_total=0;
$sql=mysqli_query($con, "SELECT * from orden_detalle_temp where empresa='$empresa' and usuario='$usu_id'");
while ($row=mysqli_fetch_array($sql))
{
    $id=$row["ordt_id"];
    $ordt_id=$row["ordt_id"];
    $ordt_art_id=$row['ordt_art_id'];
    $ordt_cantidad=$row['ordt_cantidad'];
    $ordt_precio=$row['ordt_precio'];
    $ordt_iva=$row['ordt_iva'];
    $ordt_descuento=$row['ordt_desc'];

    $ivaf=$ordt_iva/100;
    $precio_total=($ordt_precio*$ordt_cantidad)-$descuento;
    $sumador_total+=$precio_total;//Sumador
}

$can=mysqli_query($con,"SELECT * FROM cliente c, cliente_orden_temp cc where c.clie_id=cc.ordt_clie_id and cc.usuario='$usu_id' and cc.empresa='$empresa'") or die(mysqli_error($con)); 
if($dato=mysqli_fetch_array($can))
{ 
    $ord_clie_id=$dato['clie_id'];
    $ord_nombre=$dato['clie_nombre'];
    $ord_telefono=$dato['clie_telefono'];
    $ord_correo=$dato['clie_correo'];
}
else
{
    $can=mysqli_query($con,"SELECT * FROM cliente where clie_destacado='si' and empresa='$empresa'") or die(mysqli_error($con));
    $row=mysqli_fetch_array($can);
    $ord_clie_id=$row['clie_id'];
    $ord_nombre=$row['clie_nombre'];
    $ord_telefono=$row['clie_telefono'];
    $ord_correo=$row['clie_correo'];
}

$ord_fecha_recibo=mb_strtoupper(limpiar($_POST['ord_fecha_recibo']));
$ord_tecnico=mb_strtoupper(limpiar($_POST['ord_tecnico']));
$ord_numero=mb_strtoupper(limpiar($_POST['ord_numero']));
$forma_pago=$_POST['forma_pago'];
if($forma_pago=='efectivo')
{
    $medio_pago='Efectivo';
}
if($forma_pago=='transferencia')
{
    $medio_pago=$_POST['medio_pago'];
} 
if($forma_pago=='tarjeta')
{
    $medio_pago=$_POST['medio_pago'];
}  

$can=mysqli_query($con,"SELECT MAX(ord_id)as ord_id FROM orden_servicios ") or die(mysqli_error($con)); 
$dato=mysqli_fetch_array($can); 
$ord_id=$dato['ord_id']+1;

$can1=mysqli_query($con,"SELECT MAX(mov_numero)as mov_numero FROM movimientos where empresa='$empresa'") or die(mysqli_error($con)); 
$dato1=mysqli_fetch_array($can1); 
$mov_numero=$dato1['mov_numero']+1;
$can2=mysqli_query($con,"SELECT MAX(mov_id)as mov_id FROM movimientos") or die(mysqli_error($con)); 
$dato2=mysqli_fetch_array($can2); 
$mov_id=$dato2['mov_id']+1;

if($negocio_neg_id=='1') 
{
    $ord_tipo_equipo=mb_strtoupper(limpiar($_POST['ord_tipo_equipo']));
    $ord_marca=mb_strtoupper(limpiar($_POST['ord_marca']));
    $ord_modelo=mb_strtoupper(limpiar($_POST['ord_modelo']));
    $ord_num_serie=mb_strtoupper(limpiar($_POST['ord_num_serie']));
    $ord_accesorios=mb_strtoupper(limpiar($_POST['ord_accesorios']));
    $ord_falla=mb_strtoupper(limpiar($_POST['ord_falla']));
    $ord_observaciones=mb_strtoupper(limpiar($_POST['ord_observaciones']));
    $abono=mb_strtoupper(limpiar($_POST['abono']));

    $registros=mysqli_query($con,"INSERT into orden_servicios (ord_id,ord_clie_id,ord_clie_nombre,ord_clie_telefono,ord_clie_correo,ord_fecha_recibo,ord_numero,ord_tipo_equipo,ord_marca,ord_modelo,ord_num_serie,ord_accesorios,ord_falla,ord_observaciones,ord_tecnico,ord_estado,apertura,sucursal,empresa)
    VALUES ('$ord_id','$ord_clie_id','$ord_nombre','$ord_telefono','$ord_correo','$ord_fecha_recibo','$ord_numero','$ord_tipo_equipo','$ord_marca','$ord_modelo','$ord_num_serie','$ord_accesorios','$ord_falla','$ord_observaciones','$ord_tecnico','EN TALLER','$apertura','$sucursal','$empresa')") or die(mysqli_error($con));
}
else
{
    $ord_diseno=mb_strtoupper(limpiar($_POST['ord_diseno']));
    $ord_gramos=mb_strtoupper(limpiar($_POST['ord_gramos']));
    $ord_talla=mb_strtoupper(limpiar($_POST['ord_talla']));
    $ord_observaciones=mb_strtoupper(limpiar($_POST['ord_observaciones']));
    $abono=mb_strtoupper(limpiar($_POST['abono']));

    $registros=mysqli_query($con,"INSERT into orden_servicios (ord_id,ord_clie_id,ord_clie_nombre,ord_clie_telefono,ord_clie_correo,ord_fecha_recibo,ord_numero,ord_diseno,ord_gramos,ord_talla,ord_observaciones,ord_tecnico,ord_estado,apertura,sucursal,empresa)
    VALUES ('$ord_id','$ord_clie_id','$ord_nombre','$ord_telefono','$ord_correo','$ord_fecha_recibo','$ord_numero','$ord_diseno','$ord_gramos','$ord_talla','$ord_observaciones','$ord_tecnico','EN TALLER','$apertura','$sucursal','$empresa')") or die(mysqli_error($con));
}


$abon=mysqli_query($con,"INSERT into orden_abonos (ord_abono,forma_pago,medio_pago,ord_fecha,mov_id,usuario,apertura,sucursal,empresa,orden_servicios_ord_id)
VALUES ('$abono','$forma_pago','$medio_pago','$ord_fecha_recibo','$mov_id','$usu_id','$apertura','$sucursal','$empresa','$ord_id')") or die(mysqli_error($con));

if($abono>0)
{
    $registros=mysqli_query($con,"INSERT into movimientos (mov_id,mov_caja,mov_apertura, mov_numero,mov_fecha,mov_usuario,mov_tipo_movimiento,mov_detalle,mov_total,estado,forma_pago,medio_pago,sucursal,empresa) 
    VALUES ('$mov_id','$cajas_caja_id','$apertura','$mov_numero','$fecha','$usu_id','Abono orden de servicio','Abono a la orden de servicio N $ord_numero','$abono','entrada','$forma_pago','$medio_pago','$sucursal','$empresa')") or die(mysqli_error($con));  
    
}  

$can7=mysqli_query($con,"SELECT * FROM orden_detalle_temp where usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
while($dato=mysqli_fetch_array($can7))
{   
    $ordtt_id=$dato['ordt_id']; 
    $art_art_id=$dato['art_art_id']; 
    $ordt_art_id=$dato['ordt_art_id']; 
    $ordt_referencia=$dato['ordt_referencia']; 
    $ordt_nombre=$dato['ordt_nombre'];           
    $ordt_unidad=$dato['ordt_unidad'];           
    $ordt_x_cantidad=$dato['ordt_x_cantidad'];           
    $ordt_cantidad=$dato['ordt_cantidad'];
    $ordt_iva=$dato['ordt_iva'];
    $ordt_desc=$dato['ordt_desc'];            
    $ordt_precio=$dato['ordt_precio'];
    $ordt_tipo=$dato['ordt_tipo'];
    $fact=$dato['fact'];

    $cans=mysqli_query($con,"SELECT MAX(ordt_id)as ordt_id FROM orden_detalle ") or die(mysqli_error($con)); 
    if($datos=mysqli_fetch_array($cans)) 
    $ordt_id=$datos['ordt_id']+1;
   
    $can8=mysqli_query($con,"INSERT INTO orden_detalle (art_art_id,ordt_art_id,ordt_referencia,ordt_nombre,ordt_unidad,ordt_x_cantidad,ordt_cantidad,ordt_iva,ordt_desc,ordt_precio,ordt_tipo,fact,orden_servicios_ord_id) 
    VALUES ('$art_art_id','$ordt_art_id','$ordt_referencia','$ordt_nombre','$ordt_unidad','$ordt_x_cantidad','$ordt_cantidad','$ordt_iva','$ordt_desc','$ordt_precio','$ordt_tipo','$fact','$ord_id')") or die(mysqli_error($con));

    //seriales
    $can9=mysqli_query($con,"SELECT * FROM orden_detalle_seriales_temp where ordt_id='$ordtt_id'") or die(mysqli_error($con));
    while($ser=mysqli_fetch_array($can9))
    {
        $ser_codigo=$ser['ser_codigo'];
        $can8=mysqli_query($con,"INSERT INTO orden_detalle_seriales (ser_codigo,ordt_id) 
        VALUES ('$ser_codigo','$ordt_id')") or die(mysqli_error($con));  

       // $registros=mysqli_query($con,"UPDATE seriales_articulos Set estado='vendido' Where articulos_art_id='$ordt_art_id' and se_codigo='$ser_codigo'") or die(mysqli_error($con));
    }
}



// Definimos la carpeta destino
$Raiz = "../img/img_ordenes/";
// Cambia el valor cargado por el real
$ord_id = $ord_id;
// Si hay algún archivo que subir
if (isset($_FILES["archivo"]) && ($_FILES["archivo"]["name"][0])) 
{
    // Si es un formato de imagen válido
    $nombresArchivos = $_FILES["archivo"]["name"];
    $tiposArchivos = $_FILES["archivo"]["type"];
    // Movemos y renombramos cada archivo individualmente
    foreach ($nombresArchivos as $index => $nombreArchivo) 
    {
        $origen = $_FILES["archivo"]["tmp_name"][$index];
        // Validamos el tipo de archivo utilizando exif_imagetype()
        if (exif_imagetype($origen)) 
        {
            // Si existe la carpeta o se ha creado
            if (file_exists($Raiz . $ord_id) || mkdir($Raiz . $ord_id, 0777, true)) 
            {
                // Generamos un nombre único para el archivo
                $tipoArchivo = pathinfo($nombreArchivo, PATHINFO_EXTENSION);
                $nuevoNombre = $index . '.' . $tipoArchivo;
                $urlNueva = $Raiz . $ord_id . DIRECTORY_SEPARATOR . $nuevoNombre;
                $destino = $urlNueva;

                // Movemos el archivo y lo renombramos
                if (move_uploaded_file($origen, $destino)) 
                { }
                else 
                {
                    echo'<div class="alert alert-warning alert-dismissable">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong>No se ha podido mover el archivo: "'. $nombreArchivo.'</strong> 
                    </div>';
                }
            } 
            else 
            {
                echo'<div class="alert alert-warning alert-dismissable">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <strong>No se ha podido crear la carpeta: "' . $ord_id.'</strong> 
                </div>';
            }
        } 
        else 
        {
            echo'<div class="alert alert-warning alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>'. $nombreArchivo .'- NO es una imagen válida (jpg, png, gif)</strong> 
            </div>';
        }
    }
} 
   
$borrar_sql=mysqli_query($con,"DELETE FROM orden_detalle_temp WHERE usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));
$borrar_sql=mysqli_query($con,"DELETE FROM cliente_orden_temp WHERE usuario='$usu_id' and empresa='$empresa'") or die(mysqli_error($con));

?>
<pre style="font-size:24px"><strong class="text-success">Total a Pagar</strong></pre>
<pre style="font-size:24px"><strong><?php echo number_format($sumador_total,0); ?></strong></pre>
<pre style="font-size:24px"><strong class="text-success">Abono Recibido</strong></pre>
<pre style="font-size:24px"><strong><?php echo number_format($abono,0); ?></strong></pre>
<pre style="font-size:24px"><strong class="text-success">Saldo</strong></pre>
<pre style="font-size:24px"><strong><?php echo number_format($sumador_total-$abono,0); ?></strong></pre>
<div class="modal-footer">
<a href="P_servicios_registrar.php" type="button" class="btn btn-default" >Nueva Orden</a>
    
<?php include ('../include/boton_orden_servicio2.php'); ?>